stages:
  - build
  - test
  - push-image
  - deploy-staging

build-job:
  stage: build
  tags:
   - shell
  before_script:
    - docker info
  script:
    - echo "Starting build $GITLAB_USER_LOGIN / $CI_COMMIT_BRANCH branch"
    - ci-src/docker-buildstep.sh
push-image-job:
  stage: push-image
  tags:
   - shell
  script:
    - echo "Pushing image to registry $DONE_CI_CONTAINER_REGISTRY"
    - ci-src/docker-push-imagestep.sh

deploy-stage-job:
  stage: deploy-staging
  tags:
   - shell
  script:
    - echo "Deploying staging image"
    - ci-src/deploy-staging-step.sh
